#
# spec file for package sblim-cmpi-syslog (Version 0.7.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cim-schema coreutils cpio cpp cracklib curl cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libidn libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openslp-devel openssl openssl-devel openwbem openwbem-devel pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sblim-cmpi-base sblim-cmpi-base-devel sblim-cmpi-base-testsuite sblim-indication_helper sblim-indication_helper-devel sblim-testsuite sblim-wbemcli sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sblim-cmpi-syslog
BuildRequires:  gcc-c++ openslp-devel openssl-devel pam-devel sblim-cmpi-base-devel sblim-cmpi-base-testsuite sblim-indication_helper-devel syslogd
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        SBLIM Syslog Instrumentation
Version:        0.7.9
Release:        9.4
Group:          System/Management
License:        IBM Public License
Requires:       sblim-cmpi-base >= 1.2.3
Requires:       syslogd
Source0:        http://www-126-ibm.com/pub/sblim/sblim-cmpi-syslog/%{name}-%{version}.tar.bz2
Patch:          sblim-cmpi-syslog-0.7.9_testsuite_random_return.patch
Patch1:         sblim-cmpi-syslog-0.7.9_sig_hup_syslogd.patch
PreReq:         /usr/bin/loadmof.sh, /usr/bin/rmmof.sh

%description
- Syslog Configuration Instrumentation This instrumentation allows
   management of syslog configuration file via CIM.

- Syslog Service Instrumentation This instrumentation allows to
   manage the syslog service via CIM.

- Syslog Logfile Instrumentation This instrumentation allows viewing of
syslog logfiles via CIM.



Authors:
--------
    SBLIM Project

%debug_package
%prep
%setup
%patch
%patch1

%build
%configure --disable-static
%{__make}

%install

%makeinstall docdir=%{_docdir}/%{name}
for i in */README AUTHORS ChangeLog NEWS ; do
    %{__install} -m 0644 $i %{buildroot}%{_docdir}/%{name}/README.${i%%/README} ;
done
%{__install} -Dd -m 0755 %{buildroot}/var/log/
touch %{buildroot}/var/log/testlog

%clean
%{__rm} -rf %{buildroot}

%post
# compile MOF
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Syslog_Configuration.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Syslog_Log.mof
/usr/bin/loadmof.sh -n root/cimv2 %{_datadir}/%{name}/Syslog_Service.mof

%preun
if [ "$1" = 0 ]; then
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Syslog_Configuration.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Syslog_Log.mof
    /usr/bin/rmmof.sh -n root/cimv2 %{_datadir}/%{name}/Syslog_Service.mof
fi

%files
%defattr(-,root,root)
%ghost /var/log/testlog
%doc %{_docdir}/%{name}
%{_bindir}/syslog-service.sh
%{_libdir}/cmpi/libSyslog_Configuration.la
%{_libdir}/cmpi/libSyslog_Configuration.so
%{_libdir}/cmpi/libSyslog_LogRecord.la
%{_libdir}/cmpi/libSyslog_LogRecord.so
%{_libdir}/cmpi/libSyslog_MessageLog.la
%{_libdir}/cmpi/libSyslog_MessageLog.so
%{_libdir}/cmpi/libSyslog_RecordInLog.la
%{_libdir}/cmpi/libSyslog_RecordInLog.so
%{_libdir}/cmpi/libSyslog_Service.la
%{_libdir}/cmpi/libSyslog_Service.so
%{_libdir}/cmpi/libSyslog_ServiceProcess.la
%{_libdir}/cmpi/libSyslog_ServiceProcess.so
%{_libdir}/cmpi/libSyslog_Setting.la
%{_libdir}/cmpi/libSyslog_Setting.so
%{_libdir}/cmpi/libSyslog_SettingContext.la
%{_libdir}/cmpi/libSyslog_SettingContext.so
%{_libdir}/libSyslog_ConfUtils.la
%{_libdir}/libSyslog_ConfUtils.so
%{_libdir}/libSyslog_ConfUtils.so.0
%{_libdir}/libSyslog_ConfUtils.so.0.0.0
%{_libdir}/libSyslog_LogUtils.la
%{_libdir}/libSyslog_LogUtils.so
%{_libdir}/libSyslog_LogUtils.so.0
%{_libdir}/libSyslog_LogUtils.so.0.0.0
%{_libdir}/libSyslog_ServiceUtils.la
%{_libdir}/libSyslog_ServiceUtils.so
%{_libdir}/libSyslog_ServiceUtils.so.0
%{_libdir}/libSyslog_ServiceUtils.so.0.0.0
%{_libdir}/libsyslogconfutil.la
%{_libdir}/libsyslogconfutil.so
%{_libdir}/libsyslogconfutil.so.0
%{_libdir}/libsyslogconfutil.so.0.0.0
%{_libdir}/libsysloglogutil.la
%{_libdir}/libsysloglogutil.so
%{_libdir}/libsysloglogutil.so.0
%{_libdir}/libsysloglogutil.so.0.0.0
%{_libdir}/libsyslogserviceutil.la
%{_libdir}/libsyslogserviceutil.so
%{_libdir}/libsyslogserviceutil.so.0
%{_libdir}/libsyslogserviceutil.so.0.0.0
%{_libdir}/libsyslogsettingparse.la
%{_libdir}/libsyslogsettingparse.so
%{_libdir}/libsyslogsettingparse.so.0
%{_libdir}/libsyslogsettingparse.so.0.0.0
%{_libdir}/libsyslogtimeparse.la
%{_libdir}/libsyslogtimeparse.so
%{_libdir}/libsyslogtimeparse.so.0
%{_libdir}/libsyslogtimeparse.so.0.0.0
%dir %{_datadir}/sblim-cmpi-syslog/
%{_datadir}/sblim-cmpi-syslog/Syslog_Configuration.mof
%{_datadir}/sblim-cmpi-syslog/Syslog_Configuration.registration
%{_datadir}/sblim-cmpi-syslog/Syslog_Log.mof
%{_datadir}/sblim-cmpi-syslog/Syslog_Log.registration
%{_datadir}/sblim-cmpi-syslog/Syslog_Service.mof
%{_datadir}/sblim-cmpi-syslog/Syslog_Service.registration
%{_datadir}/sblim-cmpi-syslog/provider-register.sh
%{_datadir}/sblim-testsuite/cim/Syslog_Configuration.cim
%{_datadir}/sblim-testsuite/cim/Syslog_LogRecord.cim
%{_datadir}/sblim-testsuite/cim/Syslog_MessageLog.cim
%{_datadir}/sblim-testsuite/cim/Syslog_RecordInLog.cim
%{_datadir}/sblim-testsuite/cim/Syslog_Service.cim
%{_datadir}/sblim-testsuite/cim/Syslog_Setting.cim
%{_datadir}/sblim-testsuite/cim/Syslog_SettingContext.cim
%{_datadir}/sblim-testsuite/runtest_pegasus.sh
%{_datadir}/sblim-testsuite/runtest_wbemcli.sh
%{_datadir}/sblim-testsuite/system/linux/Syslog_Configuration.system
%{_datadir}/sblim-testsuite/system/linux/Syslog_LogRecord.system
%{_datadir}/sblim-testsuite/system/linux/Syslog_MessageLog.pl
%{_datadir}/sblim-testsuite/system/linux/Syslog_MessageLog.system
%{_datadir}/sblim-testsuite/system/linux/Syslog_RecordInLog.system
%{_datadir}/sblim-testsuite/system/linux/Syslog_Service.system
%{_datadir}/sblim-testsuite/system/linux/Syslog_Setting.system
%{_datadir}/sblim-testsuite/system/linux/Syslog_SettingContext.system
%{_datadir}/sblim-testsuite/system/linux/logrecord.sh
%{_datadir}/sblim-testsuite/system/linux/messagelog.sh
%{_datadir}/sblim-testsuite/system/linux/msglogtest.sh
%{_datadir}/sblim-testsuite/system/linux/setting
%{_datadir}/sblim-testsuite/test-cmpi-syslog-conf.sh
%{_datadir}/sblim-testsuite/test-cmpi-syslog-log.sh
%{_datadir}/sblim-testsuite/test-cmpi-syslog-service.sh

%changelog -n sblim-cmpi-syslog
* Mon May 08 2006 - mrueckert@suse.de
- added sblim-cmpi-syslog-0.7.9_syslog_sig_hup.patch:
  syslog-conf should use config file directly (#173452)
- removed handling for /etc/syslogtest.conf
- added ghostified file /var/log/testlog
* Wed Apr 19 2006 - mrueckert@suse.de
- copy the syslog.conf to syslogtest.conf in %%post
  and add it as %%ghost in the files section (#163535)
* Mon Mar 27 2006 - mrueckert@suse.de
- sblim-cmpi-syslog-0.7.9_testsuite_random_return.patch
  fix main() without return statement
* Mon Mar 27 2006 - mrueckert@suse.de
- update to version 0.7.9
  includes the following upstream fixes:
  o 1183805 : Autoconf support added.
  o 1199129 : Some warning messages were also fixed.
  o 1449220 : Fixed testsuite failure.
  o 1449954 : Replaced printfs with debug macro (syslog_debug)
- minimize the %%build/%%install
* Thu Jan 26 2006 - mrueckert@suse.de
- removed unneeded build requires
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 19 2006 - mrueckert@suse.de
- update to version 0.7.8
- adapt new scripts in openwbem
- fix test suite installation.
* Mon Apr 04 2005 - ro@suse.de
- added syslogd to neededforbuild
* Thu Nov 25 2004 - ro@suse.de
- fixed file list (again)
* Tue Nov 23 2004 - nashif@suse.de
- syslog_log core dumps with Pegasus cimserver when a log
  file has junk characters (#48393)
* Thu Nov 11 2004 - ro@suse.de
- fixed file list
* Sat May 22 2004 - nashif@suse.de
- Fix #40934: syslog-conf provider testsuite testcases fail
- Fix #40995: Syslog-log provider hangs in testsuite test
- Fix #40993: syslog-log provider memory leaks
* Wed May 12 2004 - nashif@suse.de
- Do not De-register when updating package
* Tue May 11 2004 - nashif@suse.de
- #40302: install provider tests
* Fri May 07 2004 - nashif@suse.de
- Deregister provider with pegasus when uninstalling (#39667)
- #40013: syslog-service provider does not have the right
  version of the syslogserviceutil.c file
* Wed Apr 14 2004 - nashif@suse.de
- Added PreReq for loadmof.sh
* Wed Apr 07 2004 - nashif@suse.de
- Initial version
